Page MenuHomePhabricator

When a page is refreshed by the user and the network is unavailable, show a message to the user
Closed, ResolvedPublic2 Story Points

Description

User story

As a user with unreliable connectivity, I want to be notified when an article I'm reading may not be the most recent because it is being retrieved from my history.

Proposed solution

Similar to how we currently show a message in a toast to users when they are reading an article saved in a reading list, show a message to advise users when they're reading a cached version of the article.

Copy explorationsThe page has been loaded from the cache.
Showing cached version.
You are reading an offline version of this article saved on DD Mmm YYYY. <-- Current message shown on reading list articles loaded when the user is offline.
Proposed copyYou are reading a cached version this article from DD Mmm YYYY.
Final copyabove TBC

Steps to QA

Pre-conditions: There should be some articles cached in history that are not saved in reading lists or article packs.

  1. Open to the history tab of the app
  2. Go offline.
  3. Tap on a cached article in history
  4. It is expected that a toast notification appears over the article opened advising that it is a cached version of the article.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2016, 8:42 PM
Dbrant set the point value for this task to 2.Oct 21 2016, 6:23 PM
Niedzielski triaged this task as Normal priority.Oct 24 2016, 4:56 PM
Niedzielski added a subscriber: Kaartic.
RHo updated the task description. (Show Details)Mar 6 2018, 3:32 PM

Change 420127 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] [WIP] Radically simplify offline caching of HTTP content.

https://gerrit.wikimedia.org/r/420127

Change 420337 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@master] [WIP] Show stale response message

https://gerrit.wikimedia.org/r/420337

Change 420127 merged by jenkins-bot:
[apps/android/wikipedia@master] Radically simplify offline caching of HTTP content.

https://gerrit.wikimedia.org/r/420127

Change 420337 abandoned by Sharvaniharan:
[WIP] Show stale response message

Reason:
https://gerrit.wikimedia.org/r/#/c/420127/ resolves the bug.

https://gerrit.wikimedia.org/r/420337